Wrapper v1.22 for ReportBuilder 9-17 (and 18)

News about TRichView and related components
Post Reply
Sergey Tkachenko
Site Admin
Posts: 13029
Joined: Sat Aug 27, 2005 10:28 am
Contact:

Wrapper v1.22 for ReportBuilder 9-17 (and 18)

Post by Sergey Tkachenko » Wed Sep 07, 2016 11:59 am

Since version 1.21, the wrapper for ReportBuilder is included in TRichView setup. It is installed automatically, if ReportBuilder 17 is already installed.

new: you can use TrvHtmlViewImporter component to load HTML from DB field in TppDBRichView.
This feature is activated if you remove the dot from {.$DEFINE RV_USE_HTMLVIEW} in ppRichView.pas.
This feature requires Delphi 2009 or newer.

By default, ppDBRichView tries to load RVF, RTF and plain text.
If RV_USE_HTML is defined, it tries to load RVF, RTF and HTML (using TrvHtmlImporter)
If RV_USE_HTMLVIEW is defined, it tries to load RVF, RTF and HTML (using TrvHtmlViewImporter).
By default, ppDBRichView uses a hidden TrvHtmlViewImporter component linked to a hidden THTMLViewer component.
But you can use your own html importer, if you assign it to ppExternalHtmlViewImporter global variable.

Previous version
http://www.trichview.com/forums/viewtopic.php?t=7276

Sergey Tkachenko
Site Admin
Posts: 13029
Joined: Sat Aug 27, 2005 10:28 am
Contact:

Wrapper v1.22.2 for ReportBuilder 9-18

Post by Sergey Tkachenko » Mon Feb 13, 2017 8:52 am

Wrapper v1.22.2 for ReportBuilder 9-18

TRichView objects for ReportBuilder, included in the installer of TRichView 16.13.3, support ReportBuilder 18.
Moreover, the Setup auto-detects ReportBuilder version, and installs the objects automatically, if ReportBuilder 15 or newer is found.
(the previous version of the Setup supported only ReportBuilder 17).
For older versions of ReportBuilder (starting from 10), the Setup configures packages, but you need to disable $defines in pas-files to install.

The detection occurs when you run the Setup, if RB is found. So, if you installed TRichView with the older version of RB, re-run the Setup again (uninstalling is not necessary). Running "Install in IDE" shortcut in the Start menu does not re-detect RB version.

Sergey Tkachenko
Site Admin
Posts: 13029
Joined: Sat Aug 27, 2005 10:28 am
Contact:

Re: Wrapper v1.22 for ReportBuilder 9-17 (and 18)

Post by Sergey Tkachenko » Wed Mar 29, 2017 3:19 pm

In the new update, installation of the ReportBuilder wrapper is fixed.
Previously, the Setup was able to detect only Enterprise edition of ReportBuilder. Now it works for all editions.

Post Reply

Who is online

Users browsing this forum: Bing [Bot] and 1 guest